### AUTOUPDATE-OFF: 2
Name:          gpart
Version:       0.3
Release:       2mamba
Summary:       A tool which tries to recover the primary partition table
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.stud.uni-hannover.de/user/76201/gpart/
Source:        https://github.com/baruch/gpart.git/%{version}/gpart-%{version}.tar.bz2
#Source:        http://www.stud.uni-hannover.de/user/76201/gpart/%{name}-%{version}.tar.gz
Patch1:        %{name}-errno.patch
Patch2:        %{name}-0.1h-kernel-2.6.18.patch
Patch3:        %{name}-0.1h-arm-x86_64_build.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Gpart is a tool which tries to guess the primary partition table of a PC-type hard disk in case the primary partition table in sector 0 is damaged, incorrect or deleted.
The guessed table can be written to a file or device.
Supported (guessable) filesystem or partition types:
* DOS/Windows FAT (FAT 12/16/32) 
* Linux ext2
* Linux swap partitions versions 0 and 1 (Linux >= v2.2.X)
* Linux LVM physical volume module (LVM by Heinz Mauelshagen)
* Reiser FS
* OS/2 HPFS
* Windows NT/2000 FS
* *BSD disklabels
* Solaris/x86 disklabels
* Minix FS
* SGI XFS on Linux
* BeOS filesystem
* QNX 4.x filesystem

%debug_package

%prep
%setup -q -n %{name}-%{version}
%define _default_patch_fuzz 2
%patch1 -p1
#%patch2 -p1
#%patch3 -p1
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_sbindir}/gpart
%{_mandir}/man8/gpart.8*
%dir %{_datadir}/doc/gpart
%{_datadir}/doc/gpart/*
%doc COPYING

%changelog
* Sat Jan 16 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3-2mamba
- rebuilt with debug package

* Sat Feb 27 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3-1mamba
- update to 0.3

* Sat Mar 21 2015 Automatic Build System <autodist@mambasoft.it> 0.2.2-1mamba
- automatic version update by autodist

* Sun Jan 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.2.1-1mamba
- update to 0.2.1

* Sun Oct 02 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1h-4mamba
- specfile updated and rebuilt

* Mon Jun 12 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.1h-3qilnx
- rebuilt

* Thu Feb 24 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1h-2qilnx
- fixed specfile Group entry

* Tue Oct 05 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 0.1h-1qilnx
- package created by autospec
